Gateways - Update Gateway
Updates gateway by ID.
Permissions
The caller must have admin permission for the gateway.
Required Delegated Scopes
Gateway.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/gateways/{gatewayId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gateway
|
path | True |
string (uuid) |
The ID of the gateway. |
Request Body
The request body can be one of the following:
| Name | Description |
|---|---|
|
Update |
|
|
Update |
Updates a streaming virtual network gateway. |
|
Update |
UpdateOnPremisesGatewayRequest
| Name | Required | Type | Description |
|---|---|---|---|
| type | True |
string:
On |
The type of the gateway. |
| allowCloudConnectionRefresh |
boolean |
Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow. |
|
| allowCustomConnectors |
boolean |
Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow. |
|
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
|
| loadBalancingSetting |
The load balancing setting of the on-premises gateway. |
UpdateStreamingVirtualNetworkGatewayRequest
Updates a streaming virtual network gateway.
| Name | Required | Type | Description |
|---|---|---|---|
| type | True |
string:
Streaming |
The type of the gateway. |
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
UpdateVirtualNetworkGatewayRequest
| Name | Required | Type | Description |
|---|---|---|---|
| type | True |
string:
Virtual |
The type of the gateway. |
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
|
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
|
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. Must be one of the following values: 30, 60, 90, 120, 150, 240, 360, 480, 720, 1440. |
|
| maxMemberGatewayCount |
integer |
The maximum number of member gateways. A number between 1 and 11. Cannot be used together with numberOfMemberGateways. minMemberGatewayCount must also be specified. maxMemberGatewayCount value must be greater than or equal to minMemberGatewayCount value. |
|
| minMemberGatewayCount |
integer |
The minimum number of member gateways. A number between 1 and 11. Cannot be used together with numberOfMemberGateways. maxMemberGatewayCount must also be specified. minMemberGatewayCount value must be less than or equal to maxMemberGatewayCount value. |
|
| numberOfMemberGateways |
integer |
The number of member gateways. A number between 1 and 11. Cannot be used together with maxMemberGatewayCount and minMemberGatewayCount. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | Gateway: |
OK. The operation was successful. |
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| On-premises gateway example |
| Streaming virtual network gateway example |
| Virtual network gateway example |
On-premises gateway example
Sample request
PATCH https://api.fabric.microsoft.com/v1/gateways/3d1290e1-e3ed-4bd6-93bc-2bbd5b49a789
{
"type": "OnPremises",
"displayName": "ContosoGatewayCluster1",
"loadBalancingSetting": "Failover",
"allowCloudConnectionRefresh": false,
"allowCustomConnectors": false
}
Sample response
{
"id": "3d1290e1-e3ed-4bd6-93bc-2bbd5b49a789",
"type": "OnPremises",
"displayName": "ContosoGatewayCluster1",
"publicKey": {
"exponent": "AQGB",
"modulus": "od9b...90Jp1Q=="
},
"version": "3000.1.2",
"numberOfMemberGateways": 2,
"loadBalancingSetting": "Failover",
"allowCloudConnectionRefresh": false,
"allowCustomConnectors": false
}
Streaming virtual network gateway example
Sample request
PATCH https://api.fabric.microsoft.com/v1/gateways/7015263e-885f-455b-80f7-bbf862899176
{
"type": "StreamingVirtualNetwork",
"displayName": "ContosoStreamingVirtualNetworkGateway1"
}
Sample response
{
"id": "7015263e-885f-455b-80f7-bbf862899176",
"type": "StreamingVirtualNetwork",
"displayName": "ContosoStreamingVirtualNetworkGateway1",
"virtualNetworkAzureResource": {
"subscriptionId": "879b4ba0-ed17-4ff2-851e-4a2228e00b70",
"resourceGroupName": "ContosoResourceGroup",
"virtualNetworkName": "ContosoVirtualNetwork",
"subnetName": "ContosoSubnet"
}
}
Virtual network gateway example
Sample request
PATCH https://api.fabric.microsoft.com/v1/gateways/7015263e-885f-455b-80f7-bbf862899176
{
"type": "VirtualNetwork",
"capacityId": "7cf7181f-9457-4178-b488-e7472b02faf4",
"displayName": "ContosoVirtualNetworkGateway1",
"inactivityMinutesBeforeSleep": 720,
"maxMemberGatewayCount": 5,
"minMemberGatewayCount": 1
}
Sample response
{
"id": "7015263e-885f-455b-80f7-bbf862899176",
"type": "VirtualNetwork",
"displayName": "ContosoVirtualNetworkGateway1",
"capacityId": "7cf7181f-9457-4178-b488-e7472b02faf4",
"virtualNetworkAzureResource": {
"subscriptionId": "879b4ba0-ed17-4ff2-851e-4a2228e00b70",
"resourceGroupName": "ContosoResourceGroup",
"virtualNetworkName": "ContosoVirtualNetwork",
"subnetName": "ContosoSubnet"
},
"inactivityMinutesBeforeSleep": 720,
"numberOfMemberGateways": 5,
"maxMemberGatewayCount": 5,
"minMemberGatewayCount": 1
}
Definitions
| Name | Description |
|---|---|
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Gateway |
The type of the gateway. Additional gateway types may be added over time. |
|
Load |
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time. |
|
On |
|
|
On |
|
|
Public |
The public key of the on-premises gateway. |
|
Streaming |
A streaming virtual network gateway. |
|
Update |
|
|
Update |
Updates a streaming virtual network gateway. |
|
Update |
|
|
Virtual |
The properties of a Virtual Network Azure resource |
|
Virtual |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
GatewayType
The type of the gateway. Additional gateway types may be added over time.
| Value | Description |
|---|---|
| OnPremises |
The on-premises gateway. |
| OnPremisesPersonal |
The on-premises gateway (personal mode). |
| VirtualNetwork |
The virtual network gateway. |
| StreamingVirtualNetwork |
The streaming virtual network gateway. |
LoadBalancingSetting
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time.
| Value | Description |
|---|---|
| Failover |
Requests will be sent to the first available gateway cluster member. |
| DistributeEvenly |
Requests will be distributed evenly among all enabled gateway cluster members. |
OnPremisesGateway
| Name | Type | Description |
|---|---|---|
| allowCloudConnectionRefresh |
boolean |
Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow. |
| allowCustomConnectors |
boolean |
Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow. |
| displayName |
string |
The display name of the on-premises gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| loadBalancingSetting |
The load balancing setting of the on-premises gateway. |
|
| numberOfMemberGateways |
integer |
The number of gateway members in the on-premises gateway. |
| publicKey |
The public key of the primary gateway member. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the installed primary gateway member. |
OnPremisesGatewayPersonal
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The object ID of the gateway. |
| publicKey |
The public key of the gateway. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the gateway. |
PublicKey
The public key of the on-premises gateway.
| Name | Type | Description |
|---|---|---|
| exponent |
string |
The exponent of the public key. |
| modulus |
string |
The modulus of the public key. |
StreamingVirtualNetworkGateway
A streaming virtual network gateway.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The display name of the streaming virtual network gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| type |
string:
Streaming |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |
UpdateOnPremisesGatewayRequest
| Name | Type | Description |
|---|---|---|
| allowCloudConnectionRefresh |
boolean |
Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow. |
| allowCustomConnectors |
boolean |
Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow. |
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
| loadBalancingSetting |
The load balancing setting of the on-premises gateway. |
|
| type |
string:
On |
The type of the gateway. |
UpdateStreamingVirtualNetworkGatewayRequest
Updates a streaming virtual network gateway.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
| type |
string:
Streaming |
The type of the gateway. |
UpdateVirtualNetworkGatewayRequest
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName |
string |
The name of the gateway. Maximum length is 200 characters. |
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. Must be one of the following values: 30, 60, 90, 120, 150, 240, 360, 480, 720, 1440. |
| maxMemberGatewayCount |
integer |
The maximum number of member gateways. A number between 1 and 11. Cannot be used together with numberOfMemberGateways. minMemberGatewayCount must also be specified. maxMemberGatewayCount value must be greater than or equal to minMemberGatewayCount value. |
| minMemberGatewayCount |
integer |
The minimum number of member gateways. A number between 1 and 11. Cannot be used together with numberOfMemberGateways. maxMemberGatewayCount must also be specified. minMemberGatewayCount value must be less than or equal to maxMemberGatewayCount value. |
| numberOfMemberGateways |
integer |
The number of member gateways. A number between 1 and 11. Cannot be used together with maxMemberGatewayCount and minMemberGatewayCount. |
| type |
string:
Virtual |
The type of the gateway. |
VirtualNetworkAzureResource
The properties of a Virtual Network Azure resource
| Name | Type | Description |
|---|---|---|
| resourceGroupName |
string |
The name of the resource group |
| subnetName |
string |
The name of the subnet |
| subscriptionId |
string (uuid) |
The subscription ID |
| virtualNetworkName |
string |
The name of the virtual network |
VirtualNetworkGateway
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName |
string |
The display name of the virtual network gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. |
| maxMemberGatewayCount |
integer |
The maximum number of member gateways. A number between 1 and 11. |
| minMemberGatewayCount |
integer |
The minimum number of member gateways. A number between 1 and 11. |
| numberOfMemberGateways |
integer |
The number of member gateways. A number between 1 and 11. |
| type |
string:
Virtual |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |